Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nextapp.echo2.app
Class SplitPane

    java.lang.Object
      nextapp.echo2.app.Component
          nextapp.echo2.app.SplitPane

All Implemented Interfaces:
  java.io.Serializable, Pane, PaneContainer, RenderIdSupport

    public class SplitPane

extends Component
implements Pane, PaneContainer

A container which displays two components horizontally or vertically adjacent to one another.

Child LayoutData: Children of this component may provide layout information using the `nextapp.echo2.app.layout.SplitPaneLayoutData` layout data object.

See Also:
  `SplitPaneLayoutData`, Serialized Form

Field Summary
`static int` | `ORIENTATION_HORIZONTAL` Shorthand for `ORIENTATION_HORIZONTAL_LEADING_TRAILING`.
`static int` | `ORIENTATION_HORIZONTAL_LEADING_TRAILING` An `orientation` constant indicating that the `SplitPane` should be laid out horizontally with the first (fixed-sze) pane in the leading position.
`static int` | `ORIENTATION_HORIZONTAL_LEFT_RIGHT` An `orientation` constant indicating that the `SplitPane` should be laid out horizontally with the first (fixed-sze) pane in the left position.
`static int` | `ORIENTATION_HORIZONTAL_RIGHT_LEFT` An `orientation` constant indicating that the `SplitPane` should be laid out horizontally with the first (fixed-sze) pane in the right position.
`static int` | `ORIENTATION_HORIZONTAL_TRAILING_LEADING` An `orientation` constant indicating that the `SplitPane` should be laid out horizontally with the first (fixed-sze) pane in the trailing position.
`static int` | `ORIENTATION_VERTICAL` Shorthand for `ORIENTATION_VERTICAL_TOP_BOTTOM`.
`static int` | `ORIENTATION_VERTICAL_BOTTOM_TOP` An `orientation` constant indicating that the `SplitPane` should be laid out vertically with the first (fixed-sze) pane in the bottom position.
`static int` | `ORIENTATION_VERTICAL_TOP_BOTTOM` An `orientation` constant indicating that the `SplitPane` should be laid out vertically with the first (fixed-sze) pane in the top position.
`static java.lang.String` | `PROPERTY_ORIENTATION`
`static java.lang.String` | `PROPERTY_RESIZABLE`
`static java.lang.String` | `PROPERTY_SEPARATOR_COLOR`
`static java.lang.String` | `PROPERTY_SEPARATOR_HEIGHT`
`static java.lang.String` | `PROPERTY_SEPARATOR_HORIZONTAL_IMAGE`
`static java.lang.String` | `PROPERTY_SEPARATOR_POSITION`
`static java.lang.String` | `PROPERTY_SEPARATOR_VERTICAL_IMAGE`
`static java.lang.String` | `PROPERTY_SEPARATOR_WIDTH`

Fields inherited from class nextapp.echo2.app.Component
`CHILDREN_CHANGED_PROPERTY, ENABLED_CHANGED_PROPERTY, FOCUS_TRAVERSAL_INDEX_CHANGED_PROPERTY, FOCUS_TRAVERSAL_PARTICIPANT_CHANGED_PROPERTY, LAYOUT_DIRECTION_CHANGED_PROPERTY, LOCALE_CHANGED_PROPERTY, PROPERTY_BACKGROUND, PROPERTY_FONT, PROPERTY_FOREGROUND, PROPERTY_LAYOUT_DATA, STYLE_CHANGED_PROPERTY, STYLE_NAME_CHANGED_PROPERTY, VISIBLE_CHANGED_PROPERTY`

Constructor Summary
`SplitPane()` Creates a new `SplitPane` with default (horizontal) orientation.
`SplitPane(int orientation)` Creates a new `SplitPane` with the specified orientation.
`SplitPane(int orientation, Extent separatorPosition)` Creates a new `SplitPane` with the specified orientation and separator position.

Method Summary
`int` | `getOrientation()` Returns the orientation of the `SplitPane`.
`Color` | `getSeparatorColor()` Returns the color of the pane separator.
`Extent` | `getSeparatorHeight()` Returns the height of the pane separator.
`FillImage` | `getSeparatorHorizontalImage()` Returns the fill image of the pane separator that is displayed when the `SplitPane` has a horizontal orientation.
`Extent` | `getSeparatorPosition()` Returns the position of the pane separator.
`FillImage` | `getSeparatorVerticalImage()` Returns the fill image of the pane separator that is displayed when the `SplitPane` has a vertical orientation.
`Extent` | `getSeparatorWidth()` Returns the width of the pane separator.
`boolean` | `isResizable()` Determines if the `SplitPane` is resizable.
`boolean` | `isValidChild(Component component)` No more than two children may be added.
`boolean` | `isValidParent(Component parent)` Determines if this `Component` is valid to be added as a child of the given parent `Component`.
`void` | `processInput(java.lang.String inputName, java.lang.Object inputValue)` Processes client input specific to the `Component` received from the `UpdateManager`.
`void` | `setOrientation(int newValue)` Sets the orientation of the `SplitPane`.
`void` | `setResizable(boolean newValue)` Sets whether the `SplitPane` is resizable.
`void` | `setSeparatorColor(Color newValue)` Sets the color of the pane separator.
`void` | `setSeparatorHeight(Extent newValue)` Sets the height of the pane separator.
`void` | `setSeparatorHorizontalImage(FillImage newValue)` Sets the fill image of the pane separator that is displayed when the `SplitPane` has a horizontal orientation.
`void` | `setSeparatorPosition(Extent newValue)` Sets the position of the pane separator.
`void` | `setSeparatorVerticalImage(FillImage newValue)` Sets the fill image of the pane separator that is displayed when the `SplitPane` has a vertical orientation.
`void` | `setSeparatorWidth(Extent newValue)` Sets the width of the pane separator.

Methods inherited from class nextapp.echo2.app.Component
`add, add, addPropertyChangeListener, dispose, firePropertyChange, getApplicationInstance, getBackground, getComponent, getComponent, getComponentCount, getComponents, getEventListenerList, getFocusTraversalIndex, getFont, getForeground, getId, getIndexedProperty, getLayoutData, getLayoutDirection, getLocale, getParent, getProperty, getRenderId, getRenderIndexedProperty, getRenderIndexedProperty, getRenderLayoutDirection, getRenderLocale, getRenderProperty, getRenderProperty, getStyle, getStyleName, getVisibleComponent, getVisibleComponentCount, getVisibleComponents, hasEventListenerList, indexOf, init, isAncestorOf, isEnabled, isFocusTraversalParticipant, isRegistered, isRenderEnabled, isRenderVisible, isVisible, remove, remove, removeAll, removePropertyChangeListener, setBackground, setEnabled, setFocusTraversalIndex, setFocusTraversalParticipant, setFont, setForeground, setId, setIndexedProperty, setLayoutData, setLayoutDirection, setLocale, setProperty, setStyle, setStyleName, setVisible, validate, verifyInput, visibleIndexOf`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ORIENTATION_HORIZONTAL_LEADING_TRAILING

    public static final int ORIENTATION_HORIZONTAL_LEADING_TRAILING

  An `orientation` constant indicating that the `SplitPane` should be laid out horizontally with the first (fixed-sze) pane in the leading position. The leading position is on the left side for left-to-right languages and on the right side for right-to-left languages.

  See Also:
    Constant Field Values

### ORIENTATION_HORIZONTAL_TRAILING_LEADING

    public static final int ORIENTATION_HORIZONTAL_TRAILING_LEADING

  An `orientation` constant indicating that the `SplitPane` should be laid out horizontally with the first (fixed-sze) pane in the trailing position. The trailing position is on the right side for left-to-right languages and on the left side for right-to-left languages.

  See Also:
    Constant Field Values

### ORIENTATION_HORIZONTAL_LEFT_RIGHT

    public static final int ORIENTATION_HORIZONTAL_LEFT_RIGHT

  An `orientation` constant indicating that the `SplitPane` should be laid out horizontally with the first (fixed-sze) pane in the left position.

  See Also:
    Constant Field Values

### ORIENTATION_HORIZONTAL_RIGHT_LEFT

    public static final int ORIENTATION_HORIZONTAL_RIGHT_LEFT

  An `orientation` constant indicating that the `SplitPane` should be laid out horizontally with the first (fixed-sze) pane in the right position.

  See Also:
    Constant Field Values

### ORIENTATION_VERTICAL_TOP_BOTTOM

    public static final int ORIENTATION_VERTICAL_TOP_BOTTOM

  An `orientation` constant indicating that the `SplitPane` should be laid out vertically with the first (fixed-sze) pane in the top position.

  See Also:
    Constant Field Values

### ORIENTATION_VERTICAL_BOTTOM_TOP

    public static final int ORIENTATION_VERTICAL_BOTTOM_TOP

  An `orientation` constant indicating that the `SplitPane` should be laid out vertically with the first (fixed-sze) pane in the bottom position.

  See Also:
    Constant Field Values

### ORIENTATION_HORIZONTAL

    public static final int ORIENTATION_HORIZONTAL

  Shorthand for `ORIENTATION_HORIZONTAL_LEADING_TRAILING`.

  See Also:
    Constant Field Values

### ORIENTATION_VERTICAL

    public static final int ORIENTATION_VERTICAL

  Shorthand for `ORIENTATION_VERTICAL_TOP_BOTTOM`.

  See Also:
    Constant Field Values

### PROPERTY_ORIENTATION

    public static final java.lang.String PROPERTY_ORIENTATION

See Also:
  Constant Field Values

### PROPERTY_RESIZABLE

    public static final java.lang.String PROPERTY_RESIZABLE

See Also:
  Constant Field Values

### PROPERTY_SEPARATOR_COLOR

    public static final java.lang.String PROPERTY_SEPARATOR_COLOR

See Also:
  Constant Field Values

### PROPERTY_SEPARATOR_HEIGHT

    public static final java.lang.String PROPERTY_SEPARATOR_HEIGHT

See Also:
  Constant Field Values

### PROPERTY_SEPARATOR_HORIZONTAL_IMAGE

    public static final java.lang.String PROPERTY_SEPARATOR_HORIZONTAL_IMAGE

See Also:
  Constant Field Values

### PROPERTY_SEPARATOR_POSITION

    public static final java.lang.String PROPERTY_SEPARATOR_POSITION

See Also:
  Constant Field Values

### PROPERTY_SEPARATOR_WIDTH

    public static final java.lang.String PROPERTY_SEPARATOR_WIDTH

See Also:
  Constant Field Values

### PROPERTY_SEPARATOR_VERTICAL_IMAGE

    public static final java.lang.String PROPERTY_SEPARATOR_VERTICAL_IMAGE

See Also:
  Constant Field Values

Constructor Detail

### SplitPane

    public SplitPane()

  Creates a new `SplitPane` with default (horizontal) orientation.

### SplitPane

    public SplitPane(int orientation)

  Creates a new `SplitPane` with the specified orientation.

  Parameters:
    `orientation` - a constant representing the orientation, one of the following values:
    - `ORIENTATION_HORIZONTAL`
    - `ORIENTATION_VERTICAL`
    - `ORIENTATION_HORIZONTAL_LEADING_TRAILING`
    - `ORIENTATION_HORIZONTAL_TRAILING_LEADING`
    - `ORIENTATION_HORIZONTAL_LEFT_RIGHT`
    - `ORIENTATION_HORIZONTAL_RIGHT_LEFT`
    - `ORIENTATION_VERTICAL_TOP_BOTTOM`
    - `ORIENTATION_VERTICAL_BOTTOM_TOP`

### SplitPane

    public SplitPane(int orientation,
                     Extent separatorPosition)

  Creates a new `SplitPane` with the specified orientation and separator position.

  Parameters:
    `orientation` - a constant representing the orientation, one of the following values:
    - `ORIENTATION_HORIZONTAL`
    - `ORIENTATION_VERTICAL`
    - `ORIENTATION_HORIZONTAL_LEADING_TRAILING`
    - `ORIENTATION_HORIZONTAL_TRAILING_LEADING`
    - `ORIENTATION_HORIZONTAL_LEFT_RIGHT`
    - `ORIENTATION_HORIZONTAL_RIGHT_LEFT`
    - `ORIENTATION_VERTICAL_TOP_BOTTOM`
    - `ORIENTATION_VERTICAL_BOTTOM_TOP`
    `separatorPosition` - the initial position of the separator (in pixel units)

Method Detail

### getOrientation

    public int getOrientation()

  Returns the orientation of the `SplitPane`.

  Returns:
    a constant representing the orientation, one of the following values:
    - `ORIENTATION_HORIZONTAL`
    - `ORIENTATION_VERTICAL`
    - `ORIENTATION_HORIZONTAL_LEADING_TRAILING`
    - `ORIENTATION_HORIZONTAL_TRAILING_LEADING`
    - `ORIENTATION_HORIZONTAL_LEFT_RIGHT`
    - `ORIENTATION_HORIZONTAL_RIGHT_LEFT`
    - `ORIENTATION_VERTICAL_TOP_BOTTOM`
    - `ORIENTATION_VERTICAL_BOTTOM_TOP`

### getSeparatorColor

    public Color getSeparatorColor()

  Returns the color of the pane separator.

  Returns:
    the color

### getSeparatorHeight

    public Extent getSeparatorHeight()

  Returns the height of the pane separator. This value is relevant only when the `SplitPane` has a vertical orientation. This property only supports `Extent`s with pixel units.

  Returns:
    the separator width

### getSeparatorHorizontalImage

    public FillImage getSeparatorHorizontalImage()

  Returns the fill image of the pane separator that is displayed when the `SplitPane` has a horizontal orientation.

  Returns:
    the image

### getSeparatorPosition

    public Extent getSeparatorPosition()

  Returns the position of the pane separator. This property only supports `Extent`s with pixel units.

  Returns:
    the separator position

### getSeparatorVerticalImage

    public FillImage getSeparatorVerticalImage()

  Returns the fill image of the pane separator that is displayed when the `SplitPane` has a vertical orientation.

  Returns:
    the image

### getSeparatorWidth

    public Extent getSeparatorWidth()

  Returns the width of the pane separator. This value is relevant only when the `SplitPane` has a horizontal orientation. This property only supports `Extent`s with pixel units.

  Returns:
    the separator width

### isResizable

    public boolean isResizable()

  Determines if the `SplitPane` is resizable.

  Returns:
    true if the `SplitPane` is resizable

### isValidChild

    public boolean isValidChild(Component component)

  No more than two children may be added.

  Overrides:
    `isValidChild` in class `Component`
  Parameters:
    `component` - the `Component` to evaluate as a child
  Returns:
    true if the `Component` is a valid child
  See Also:
    `Component.isValidChild(nextapp.echo2.app.Component)`

### isValidParent

    public boolean isValidParent(Component parent)

  Description copied from class: `Component`
  Determines if this `Component` is valid to be added as a child of the given parent `Component`. Default implementation always returns true, may be overridden to provide specific behavior.

  Overrides:
    `isValidParent` in class `Component`
  Parameters:
    `parent` - the `Component` to evaluate as a parent
  Returns:
    true if the `Component` is a valid parent
  See Also:
    `Component.isValidParent(nextapp.echo2.app.Component)`

### processInput

    public void processInput(java.lang.String inputName,
                             java.lang.Object inputValue)

  Description copied from class: `Component`
  Processes client input specific to the `Component` received from the `UpdateManager`. Derivative implementations should take care to invoke `super.processInput()`.

  Overrides:
    `processInput` in class `Component`
  Parameters:
    `inputName` - the name of the input
    `inputValue` - the value of the input
  See Also:
    `Component.processInput(java.lang.String, java.lang.Object)`

### setOrientation

    public void setOrientation(int newValue)

  Sets the orientation of the `SplitPane`.

  Parameters:
    `newValue` - a constant representing the orientation, one of the following values:
    - `ORIENTATION_HORIZONTAL`
    - `ORIENTATION_VERTICAL`
    - `ORIENTATION_HORIZONTAL_LEADING_TRAILING`
    - `ORIENTATION_HORIZONTAL_TRAILING_LEADING`
    - `ORIENTATION_HORIZONTAL_LEFT_RIGHT`
    - `ORIENTATION_HORIZONTAL_RIGHT_LEFT`
    - `ORIENTATION_VERTICAL_TOP_BOTTOM`
    - `ORIENTATION_VERTICAL_BOTTOM_TOP`

### setResizable

    public void setResizable(boolean newValue)

  Sets whether the `SplitPane` is resizable.

  Parameters:
    `newValue` - true if the `SplitPane` should allow the resizing of panes by dragging the separator, false if it should not

### setSeparatorColor

    public void setSeparatorColor(Color newValue)

  Sets the color of the pane separator.

  Parameters:
    `newValue` - the new color

### setSeparatorHeight

    public void setSeparatorHeight(Extent newValue)

  Sets the height of the pane separator. This value is only relevant when the `SplitPane` has a vertical orientation. This property only supports `Extent`s with pixel units.

  Parameters:
    `newValue` - the new height

### setSeparatorHorizontalImage

    public void setSeparatorHorizontalImage(FillImage newValue)

  Sets the fill image of the pane separator that is displayed when the `SplitPane` has a horizontal orientation.

  Parameters:
    `newValue` - the new image

### setSeparatorPosition

    public void setSeparatorPosition(Extent newValue)

  Sets the position of the pane separator. This property only supports `Extent`s with pixel units.

  Parameters:
    `newValue` - the new position

### setSeparatorVerticalImage

    public void setSeparatorVerticalImage(FillImage newValue)

  Sets the fill image of the pane separator that is displayed when the `SplitPane` has a vertical orientation.

  Parameters:
    `newValue` - the new image

### setSeparatorWidth

    public void setSeparatorWidth(Extent newValue)

  Sets the width of the pane separator. This value is only relevant when the `SplitPane` has a horizontal orientation. This property only supports `Extent`s with pixel units.

  Parameters:
    `newValue` - the new width

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD